Historical Ticks
curl --request GET \
--url https://api.tradewatch.io/commodities/{symbol}/ticks \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/commodities/{symbol}/ticks"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/commodities/{symbol}/ticks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"time": "2023-11-07T05:31:56Z",
"ask": 123,
"bid": 123,
"mid": 123
}
],
"total": 123,
"current_page": "<string>",
"current_page_backwards": "<string>",
"previous_page": "<string>",
"next_page": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Commodities
Historical Ticks
Get raw historical ticks for a symbol in a selected time range using cursor pagination.
GET
/
commodities
/
{symbol}
/
ticks
Historical Ticks
Authorizations
Authentication via API key header
Path Parameters
Query Parameters
Unix timestamp (inclusive).
Unix timestamp (exclusive).
Cursor for the next page
The number of ticks per page.
Response
Successful Response
Show child attributes
Show child attributes
Total items
Cursor to refetch the current page
Cursor to refetch the current page starting from the last item
Cursor for the previous page
Cursor for the next page
